Retrieve all presentation templates
Roles
Analytics Events
/v2/credentials/web-semantic/presentations/templatesReturns a list of all presentation templates on your tenant.
Analytic events
- PRESENTATION_WEB_SEMANTIC_TEMPLATE_RETRIEVE_LIST_START
- PRESENTATION_WEB_SEMANTIC_TEMPLATE_RETRIEVE_LIST_SUCCESS
- PRESENTATION_WEB_SEMANTIC_TEMPLATE_RETRIEVE_LIST_FAIL
Authorization
bearerAuth In: header
Query Parameters
Range size of returned list.
1001 <= value <= 1000Starting point for the list of entries.
Response Body
application/json
curl -X GET "https://example.vii.au01.mattr.global/v2/credentials/web-semantic/presentations/templates"{
"nextCursor": "Y3JlYXRlZEF0PTIwMjAtMDgtMjVUMDY6NDY6MDkuNTEwWiZpZD1hNjZmZmVhNS04NDhlLTQzOWQtODBhNC1kZGE1NWY1M2UzNmM",
"data": [
{
"id": "64e45290-9980-11ea-b872-f1bee5fb328f",
"domain": "tenant.vii.mattr.global",
"name": "alumni_credential_request",
"query": [
{
"type": "QueryByExample",
"credentialQuery": [
{
"required": true,
"reason": "string",
"example": [
{
"@context": [
null
],
"type": "AlumniCredential",
"trustedIssuer": [
{
"required": true,
"issuer": "string"
}
]
}
]
}
]
}
]
}
]
}How would you rate this page?
Create a presentation template POST
Creates a presentation template defining what type of credential is required for a particular verification workflow. Presentation templates are used to create presentation requests that are shared with a specific holder. ### **Analytic events** * PRESENTATION_WEB_SEMANTIC_TEMPLATE_CREATE_START * PRESENTATION_WEB_SEMANTIC_TEMPLATE_CREATE_SUCCESS * PRESENTATION_WEB_SEMANTIC_TEMPLATE_CREATE_FAIL
Retrieve a presentation template GET
Retrieve an existing presentation template by its ID. ### **Analytic events** * PRESENTATION_WEB_SEMANTIC_TEMPLATE_RETRIEVE_START * PRESENTATION_WEB_SEMANTIC_TEMPLATE_RETRIEVE_SUCCESS * PRESENTATION_WEB_SEMANTIC_TEMPLATE_RETRIEVE_FAIL